from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XScriptContext(XInterface, Protocol):
    def getDocument(self) -> XModel: ...
    def getInvocationContext(self) -> XScriptInvocationContext: ...
    def getDesktop(self) -> XDesktop: ...
    def getComponentContext(self) -> XComponentContext: ...
